# eric7.Plugins.VcsPlugins.vcsPySvn.SvnStatusMonitorThread

Module implementing the VCS status monitor thread class for Subversion.

### Global Attributes

None

### Classes

SvnStatusMonitorThread | Class implementing the VCS status monitor thread class for Subversion.

### Functions

None

## SvnStatusMonitorThread

Class implementing the VCS status monitor thread class for Subversion.

### Derived from

VcsStatusMonitorThread

### Class Attributes

None

### Class Methods

None

### Methods

SvnStatusMonitorThread | Constructor
__clientLoginCallback | Private method called by the client to get login information.
__clientSslServerTrustPromptCallback | Private method called by the client to request acceptance for a ssl server certificate.
_performMonitor | Protected method implementing the monitoring action.

### Static Methods

None

#### SvnStatusMonitorThread (Constructor)

SvnStatusMonitorThread(interval, project, vcs, parent=None)

Constructor

interval
  new interval in seconds (integer)
project
  reference to the project object (Project)
vcs
  reference to the version control object
parent
  reference to the parent object (QObject)

#### SvnStatusMonitorThread.__clientLoginCallback

__clientLoginCallback(realm, username, may_save)

Private method called by the client to get login information.

realm
  name of the realm of the requested credentials (string)
username
  username as supplied by subversion (string)
may_save
  flag indicating, that subversion is willing to save the answers returned (boolean)

Return:
  tuple of four values (retcode, username, password, save). Retcode should be True, if username and password should be used by subversion, username and password contain the relevant data as strings and save is a flag indicating, that username and password should be saved. Always returns (False, "", "", False).

#### SvnStatusMonitorThread.__clientSslServerTrustPromptCallback

__clientSslServerTrustPromptCallback(trust_dict)

Private method called by the client to request acceptance for a ssl server certificate.

trust_dict
  dictionary containing the trust data

Return:
  tuple of three values (retcode, acceptedFailures, save). Retcode should be true, if the certificate should be accepted, acceptedFailures should indicate the accepted certificate failures and save should be True, if subversion should save the certificate. Always returns (False, 0, False).

#### SvnStatusMonitorThread._performMonitor

_performMonitor()

Protected method implementing the monitoring action.

This method populates the statusList member variable with a list of strings giving the status in the first column and the path relative to the project directory starting with the third column. The allowed status flags are:

- "A" path was added but not yet committed
- "M" path has local changes
- "O" path was removed
- "R" path was deleted and then re-added
- "U" path needs an update
- "Z" path contains a conflict
- "?" path is not tracked
- "!" path is missing
- " " path is back at normal

Return:
  tuple of flag indicating successful operation (boolean) and a status message in case of non successful operation (string)

Up